Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Utils
Class GPathUtils

    java.lang.Object
      |
      +--Utils.GPathUtils

public abstract class GPathUtils
extends java.lang.Object

Constructor Summary
`GPathUtils()`

Method Summary
`static java.awt.geom.GeneralPath` | `appendToStart(int startX, int startY, java.awt.geom.GeneralPath path)` returns a path equal to "path" but with an extra initial section
`static double` | `getAverageAngle(java.awt.geom.GeneralPath path)`
`static int` | `getAverageDirection(java.awt.geom.GeneralPath path)`
`static java.awt.geom.Point2D` | `getEndOfPath(java.awt.geom.GeneralPath path)` returns the ending point of "path"
`static java.awt.geom.Line2D` | `getFirstLine(java.awt.geom.GeneralPath path)`
`static java.awt.geom.Point2D` | `getIndexPoint(int pos, java.awt.geom.GeneralPath path)`
`static java.awt.geom.Point2D` | `getIntersectPoint(double x1, double y1, double x2, double y2, java.awt.geom.GeneralPath p)`
`static java.awt.geom.Point2D` | `getIntersectPoint(java.awt.geom.Line2D l, java.awt.geom.GeneralPath p)`
`static java.awt.geom.Point2D` | `getIntersectPoint(java.awt.geom.Point2D point, java.awt.geom.GeneralPath p1, java.awt.geom.GeneralPath p2)`
`static java.awt.geom.Line2D` | `getLastLine(java.awt.geom.GeneralPath path)`
`static java.awt.geom.Line2D` | `getLineSect(int pos, java.awt.geom.GeneralPath path)` Returns a Line2D indexed by pos.
`static java.awt.geom.Line2D` | `getNearestLine(java.awt.geom.Point2D point, java.awt.geom.GeneralPath path)`
`static int` | `getNumPathPoints(java.awt.geom.GeneralPath path)` returns the number path points of "path".
`static int` | `getNumPathSections(java.awt.geom.GeneralPath path)` returns the number of path sections.
`static java.awt.geom.GeneralPath` | `getPathFromIndex(int point, java.awt.geom.GeneralPath path)`
`static java.awt.geom.GeneralPath` | `getPathToIndex(int point, java.awt.geom.GeneralPath path)`
`static java.awt.geom.Point2D` | `getStartOfPath(java.awt.geom.GeneralPath path)` returns the starting point of "path"
`static boolean` | `isSameDirection(java.awt.geom.GeneralPath p1, java.awt.geom.GeneralPath p2, double radAngleTollerance)`
`static java.awt.geom.GeneralPath` | `joinPaths(java.awt.geom.GeneralPath p1, java.awt.geom.GeneralPath p2)` alters p1 to add p2 onto it
`static java.awt.geom.GeneralPath` | `mergePaths(java.awt.geom.GeneralPath p1, java.awt.geom.GeneralPath p2)` alters p1 to add p2 onto it, without p2 1st point
`static java.awt.geom.GeneralPath` | `modifyPathPoint(java.awt.geom.GeneralPath path, java.awt.geom.Point2D pointToChange, java.awt.geom.Point2D newPoint)` returns a path equal to "path" but with the path point "pointToChange" at location of "newPoint".
`static java.awt.geom.GeneralPath` | `removePathPoint(java.awt.geom.GeneralPath path, java.awt.geom.Point2D pointToKill)` returns a path equal to "path" but with "pointToKill" removed.
`static java.awt.geom.GeneralPath` | `reversePath(java.awt.geom.GeneralPath path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPathUtils

    public GPathUtils()

Method Detail

### getStartOfPath

    public static java.awt.geom.Point2D getStartOfPath(java.awt.geom.GeneralPath path)

  returns the starting point of "path"

### getEndOfPath

    public static java.awt.geom.Point2D getEndOfPath(java.awt.geom.GeneralPath path)

  returns the ending point of "path"

### getNumPathSections

    public static int getNumPathSections(java.awt.geom.GeneralPath path)

  returns the number of path sections.

### getNumPathPoints

    public static int getNumPathPoints(java.awt.geom.GeneralPath path)

  returns the number path points of "path".

### appendToStart

    public static java.awt.geom.GeneralPath appendToStart(int startX,
                                                          int startY,
                                                          java.awt.geom.GeneralPath path)

  returns a path equal to "path" but with an extra initial section

### getIndexPoint

    public static java.awt.geom.Point2D getIndexPoint(int pos,
                                                      java.awt.geom.GeneralPath path)

### getLineSect

    public static java.awt.geom.Line2D getLineSect(int pos,
                                                   java.awt.geom.GeneralPath path)

  Returns a Line2D indexed by pos. 1st line section is pos =0

### getLastLine

    public static java.awt.geom.Line2D getLastLine(java.awt.geom.GeneralPath path)

### getFirstLine

    public static java.awt.geom.Line2D getFirstLine(java.awt.geom.GeneralPath path)

### getNearestLine

    public static java.awt.geom.Line2D getNearestLine(java.awt.geom.Point2D point,
                                                      java.awt.geom.GeneralPath path)

### reversePath

    public static java.awt.geom.GeneralPath reversePath(java.awt.geom.GeneralPath path)

### joinPaths

    public static java.awt.geom.GeneralPath joinPaths(java.awt.geom.GeneralPath p1,
                                                      java.awt.geom.GeneralPath p2)

  alters p1 to add p2 onto it

### mergePaths

    public static java.awt.geom.GeneralPath mergePaths(java.awt.geom.GeneralPath p1,
                                                       java.awt.geom.GeneralPath p2)

  alters p1 to add p2 onto it, without p2 1st point

### removePathPoint

    public static java.awt.geom.GeneralPath removePathPoint(java.awt.geom.GeneralPath path,
                                                            java.awt.geom.Point2D pointToKill)

  returns a path equal to "path" but with "pointToKill" removed.

### modifyPathPoint

    public static java.awt.geom.GeneralPath modifyPathPoint(java.awt.geom.GeneralPath path,
                                                            java.awt.geom.Point2D pointToChange,
                                                            java.awt.geom.Point2D newPoint)

  returns a path equal to "path" but with the path point "pointToChange" at location of "newPoint".

### getIntersectPoint

    public static java.awt.geom.Point2D getIntersectPoint(java.awt.geom.Line2D l,
                                                          java.awt.geom.GeneralPath p)

### getIntersectPoint

    public static java.awt.geom.Point2D getIntersectPoint(double x1,
                                                          double y1,
                                                          double x2,
                                                          double y2,
                                                          java.awt.geom.GeneralPath p)

### getIntersectPoint

    public static java.awt.geom.Point2D getIntersectPoint(java.awt.geom.Point2D point,
                                                          java.awt.geom.GeneralPath p1,
                                                          java.awt.geom.GeneralPath p2)

### getPathToIndex

    public static java.awt.geom.GeneralPath getPathToIndex(int point,
                                                           java.awt.geom.GeneralPath path)

### getPathFromIndex

    public static java.awt.geom.GeneralPath getPathFromIndex(int point,
                                                             java.awt.geom.GeneralPath path)

### getAverageDirection

    public static int getAverageDirection(java.awt.geom.GeneralPath path)

### getAverageAngle

    public static double getAverageAngle(java.awt.geom.GeneralPath path)

### isSameDirection

    public static boolean isSameDirection(java.awt.geom.GeneralPath p1,
                                          java.awt.geom.GeneralPath p2,
                                          double radAngleTollerance)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD